Debian Bug report logs - #62878
Screen display problems with terminals

Package: general; Maintainer for general is debian-devel@lists.debian.org;

Reported by: ross <RossBoylan@stanfordalumni.org>

Date: Sun, 23 Apr 2000 06:33:00 UTC

Severity: normal

Done: Holger Levsen <holger@layer-acht.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#62878; Package general. Full text and rfc822 format available.

Acknowledgement sent to ross <RossBoylan@stanfordalumni.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: ross <RossBoylan@stanfordalumni.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Screen display problems with terminals
Date: Sat, 22 Apr 2000 23:30:31 -0700
Package: general
Version: N/A; reported 2000-04-22
Severity: normal

There seems to be some general problem with the display of terminal (that is
vt100 style, not X windows and not command-line) oriented programs.  I make this
sweeping statment on the basis of 2 programs:
dselect
mutt

For both, I have garbage characters floating around.  In the case of dselect, areas
in the headers which should be blank (e.g., the left hand side of the major group
headings on the top of dselect--I don't mean the column headings, but the rows
which mark aggregations of packages) have text in them (among other problems).

In the case of mutt, I notice the problem particularly in threaded sorting; again
strange characters and text appear where they shouldn't.

Frankly, I have little idea what system to point the finger at.  Here are some 
facts which may be relevant:
Running GNOME terminals under GNOME.
I have changed the default font of the terminals (it is now -b&h-lucidatypewriter-bold-r-normal-*-*-120-*-*-m-*-iso8859-1; I don't know what it was originally).  My initial suspicion was that the programs couldn't handle this kind of font change.

I've noticed the problem for at least a couple of weeks, during which I've been
keeping up with the current potato.

I think I've seen the problem with other text based programs, but these are
the ones I'm sure of.

ii  dpkg           1.6.12         Package maintenance system for Debian
ii  mutt           1.0.1-9        Text-based mailreader supporting MIME, GPG,

Both depend on libncurses5
un  libncurses-dev <none>         (no description available)
ii  libncurses4    4.2-9          Shared libraries for terminal handling
pn  libncurses4-db <none>         (no description available)
pn  libncurses4-de <none>         (no description available)
ii  libncurses5    5.0-6          Shared libraries for terminal handling
pn  libncurses5-db <none>         (no description available)
pn  libncurses5-de <none>         (no description available)
un  ncurses        <none>         (no description available)
ii  ncurses-base   5.0-6          Descriptions of common terminal types
ii  ncurses-bin    5.0-6          Terminal-related programs and man pages
un  ncurses-dev    <none>         (no description available)
un  ncurses-develo <none>         (no description available)
pn  ncurses-hexedi <none>         (no description available)
un  ncurses-runtim <none>         (no description available)
ii  ncurses-term   5.0-6          Additional terminal type definitions
un  ncurses21-dev  <none>         (no description available)
pn  ncurses3.0     <none>         (no description available)
pn  ncurses3.0-alt <none>         (no description available)
pn  ncurses3.4     <none>         (no description available)

pn  ami-gnome      <none>         (no description available)
pn  giram-gnome    <none>         (no description available)
pn  giram-gnome-me <none>         (no description available)
ii  gnome-admin    1.0.3-2        Gnome Admin Utilities (gulp and logview)
ii  gnome-apt      0.3.7          Gnome front-end to apt
ii  gnome-audio    1.0.0-3        Audio files for Gnome
ii  gnome-bin      1.0.56-3       Miscellaneous binaries used by Gnome
ii  gnome-card-gam 1.0.51-6       Gnome card games - Solitaire games (FreeCell
pn  gnome-chess    <none>         (no description available)
ii  gnome-control- 1.0.51-4       The Gnome Control Center
ii  gnome-core     1.0.55-1       Common files for Gnome core apps
un  gnome-desktop  <none>         (no description available)
ii  gnome-dev-doc  1.0.56-3       Gnome developers documentation
ii  gnome-faq      1.0.56-3       Frequently Asked Questions about GNOME
ii  gnome-games    1.0.51-6       Empty package that requires the installation
ii  gnome-games-lo 1.0.51-6       The locale databases for the gnome-games pac
ii  gnome-gataxx   1.0.51-6       This is a GNOME port of the old game ataxx.
ii  gnome-glines   1.0.51-6       This is a version of the color lines program
ii  gnome-gnibbles 1.0.51-6       A cute little game that has no description
un  gnome-gnobots  <none>         (no description available)
ii  gnome-gnobots2 1.0.51-6       Second Gnome version of robots game for BSD 
ii  gnome-gnometri 1.0.51-6       A tetris clone.
ii  gnome-gnomine  1.0.51-6       Classic find the mines in the minefield game
un  gnome-gnothell <none>         (no description available)
ii  gnome-gnotrave 1.0.51-6       A game based on Tetravex.
ii  gnome-gtali    1.0.51-6       Gnome version of Yahtzee Dice Game
ii  gnome-gturing  1.0.51-6       Turing game
ii  gnome-guile    1.0.1.cvs.1999 Guile-Gtk scheme interpreter (part of Gnome)
ii  gnome-gv       0.82-2         GNOME PostScript/PDF viewer
un  gnome-gyahtzee <none>         (no description available)
ii  gnome-help     1.0.55-1       GNOME help browser
ii  gnome-help-dat 1.0.55-1       GNOME help browser data
ii  gnome-iagno    1.0.51-6       Gnome version of Othello (Reversi) board gam
ii  gnome-libs-dat 1.0.56-3       Data for Gnome libraries
ii  gnome-mahjongg 1.0.51-6       Classic Chinese Tile Game (from Gnome)
ii  gnome-media    1.0.51-2       Gnome Media Utilities (gmix, gtcd)
un  gnome-metatris <none>         (no description available)
pn  gnome-napster  <none>         (no description available)
ii  gnome-network  1.0.2-5        The gnome network utilities.
ii  gnome-panel    1.0.55-1       Launch and/or dock Gnome applications
ii  gnome-panel-da 1.0.55-1       Data files for GNOME panel
ii  gnome-session  1.0.55-1       The Gnome Session Manager
ii  gnome-stones   1.0.51-6       Stones games
ii  gnome-terminal 1.0.55-1       The Gnome terminal emulator application
ii  gnome-think    0.1.3-3        Hierarchical organizer and outliner
ii  gnome-users-gu 1.0.6-1        GNOME User's Guide
pn  gnome-users-gu <none>         (no description available)
ii  gnome-utils    1.0.50-4       Gnome Utilities (gtt, ghex, and more)
ii  gnome-xbill    1.0.51-6       Fight the infection.
ii  gnomehack      1.0.5-1        A port of NetHack for GNOME
ii  gnomeicu       0.90b-1        Small, fast and functional clone of Mirabili
un  gtksamba-gnome <none>         (no description available)
pn  icewm-gnome    <none>         (no description available)
un  libglade-gnome <none>         (no description available)
ii  libglade-gnome 0.11-2         Library to load .glade files at runtime (Gno
pn  libglade-gnome <none>         (no description available)
ii  libgnome-dev   1.0.56-3       The Gnome libraries -- development package
pn  libgnome-gnorb <none>         (no description available)
pn  libgnome-perl  <none>         (no description available)
un  libgnome0      <none>         (no description available)
un  libgnome31     <none>         (no description available)
ii  libgnome32     1.0.56-3       The Gnome libraries
pn  libgnomemm     <none>         (no description available)
pn  libgnomemm-dev <none>         (no description available)
ii  libgnomesuppor 1.0.56-3       The Gnome libraries (Support libraries)
ii  libgnomeui32   1.0.56-3       The Gnome libraries (User Interface)
pn  libobgnome-dev <none>         (no description available)
ii  libobgnome0    1.0.40-2       Objective-C - Gnome bindings
pn  penguineyes-gn <none>         (no description available)
ii  python-gnome   1.0.50-5       PyGNOME -- Python bindings for GNOME.
ii  sawmill-gnome  0.20.1-2.1     GNOME components for Sawmill
iU  ssh-askpass-gn 1.2.3-2        under X, asks user for a passphrase for ssh-
ii  task-gnome-app 1.0.3          GNOME applications and utilities
ii  task-gnome-des 1.0.7          GNOME basic desktop
ii  task-gnome-gam 1.0.5          GNOME games
ii  task-gnome-net 1.0.4          GNOME network applications
pn  wmaker-gnome   <none>         (no description available)
ii  xchat-gnome    1.4.2-1        IRC client for GNOME similar to AmIRC
pn  xkbsel-gnome   <none>         (no description available)

-- System Information
Debian Release: 2.2
Architecture: i386
Kernel: Linux wheat 2.2.14 #1 Sun Apr 16 18:51:46 EST 2000 i586



Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#62878; Package general. Full text and rfc822 format available.

Acknowledgement sent to Eric Weigel <ericw@bestnet.org>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. Full text and rfc822 format available.

Message #10 received at 62878@bugs.debian.org (full text, mbox):

From: Eric Weigel <ericw@bestnet.org>
To: ross <RossBoylan@stanfordalumni.org>, 62878@bugs.debian.org
Subject: Re: Bug#62878: Screen display problems with terminals
Date: Sun, 23 Apr 2000 03:27:26 -0400
I think it's the font.

I tried lucidatypewriter, courier, terminal and fixed (misc)

lucidatypewriter and courier had the problem, terminal displayed some
characters as questionmarks, and fixed (misc) (the default, by the way)
worked perfectly.

On Sun, 23 Apr 2000, ross wrote:
> Package: general
> Version: N/A;
> Severity: normal
> 
> There seems to be some general problem with the display of terminal (that is
> vt100 style, not X windows and not command-line) oriented programs.  I make this
> sweeping statment on the basis of 2 programs:
> dselect
> mutt
> 
> For both, I have garbage characters floating around.  In the case of dselect, areas
> in the headers which should be blank (e.g., the left hand side of the major group
> headings on the top of dselect--I don't mean the column headings, but the rows
> which mark aggregations of packages) have text in them (among other problems).
> 
> In the case of mutt, I notice the problem particularly in threaded sorting; again
> strange characters and text appear where they shouldn't.
> 
> Frankly, I have little idea what system to point the finger at.  Here are some 
> facts which may be relevant:
> Running GNOME terminals under GNOME.
> I have changed the default font of the terminals (it is now -b&h-lucidatypewriter-bold-r-normal-*-*-120-*-*-m-*-iso8859-1; I don't know what it was originally).  My initial suspicion was that the programs couldn't handle this kind of font change.
> 
> I've noticed the problem for at least a couple of weeks, during which I've been
> keeping up with the current potato.
> 
> I think I've seen the problem with other text based programs, but these are
> the ones I'm sure of.
> 
> ii  dpkg           1.6.12         Package maintenance system for Debian
> ii  mutt           1.0.1-9        Text-based mailreader supporting MIME, GPG,
> 
> Both depend on libncurses5
> un  libncurses-dev <none>         (no description available)
> ii  libncurses4    4.2-9          Shared libraries for terminal handling
> pn  libncurses4-db <none>         (no description available)
> pn  libncurses4-de <none>         (no description available)
> ii  libncurses5    5.0-6          Shared libraries for terminal handling
> pn  libncurses5-db <none>         (no description available)
> pn  libncurses5-de <none>         (no description available)
> un  ncurses        <none>         (no description available)
> ii  ncurses-base   5.0-6          Descriptions of common terminal types
> ii  ncurses-bin    5.0-6          Terminal-related programs and man pages
> un  ncurses-dev    <none>         (no description available)
> un  ncurses-develo <none>         (no description available)
> pn  ncurses-hexedi <none>         (no description available)
> un  ncurses-runtim <none>         (no description available)
> ii  ncurses-term   5.0-6          Additional terminal type definitions
> un  ncurses21-dev  <none>         (no description available)
> pn  ncurses3.0     <none>         (no description available)
> pn  ncurses3.0-alt <none>         (no description available)
> pn  ncurses3.4     <none>         (no description available)
> 
> pn  ami-gnome      <none>         (no description available)
> pn  giram-gnome    <none>         (no description available)
> pn  giram-gnome-me <none>         (no description available)
> ii  gnome-admin    1.0.3-2        Gnome Admin Utilities (gulp and logview)
> ii  gnome-apt      0.3.7          Gnome front-end to apt
> ii  gnome-audio    1.0.0-3        Audio files for Gnome
> ii  gnome-bin      1.0.56-3       Miscellaneous binaries used by Gnome
> ii  gnome-card-gam 1.0.51-6       Gnome card games - Solitaire games (FreeCell
> pn  gnome-chess    <none>         (no description available)
> ii  gnome-control- 1.0.51-4       The Gnome Control Center
> ii  gnome-core     1.0.55-1       Common files for Gnome core apps
> un  gnome-desktop  <none>         (no description available)
> ii  gnome-dev-doc  1.0.56-3       Gnome developers documentation
> ii  gnome-faq      1.0.56-3       Frequently Asked Questions about GNOME
> ii  gnome-games    1.0.51-6       Empty package that requires the installation
> ii  gnome-games-lo 1.0.51-6       The locale databases for the gnome-games pac
> ii  gnome-gataxx   1.0.51-6       This is a GNOME port of the old game ataxx.
> ii  gnome-glines   1.0.51-6       This is a version of the color lines program
> ii  gnome-gnibbles 1.0.51-6       A cute little game that has no description
> un  gnome-gnobots  <none>         (no description available)
> ii  gnome-gnobots2 1.0.51-6       Second Gnome version of robots game for BSD 
> ii  gnome-gnometri 1.0.51-6       A tetris clone.
> ii  gnome-gnomine  1.0.51-6       Classic find the mines in the minefield game
> un  gnome-gnothell <none>         (no description available)
> ii  gnome-gnotrave 1.0.51-6       A game based on Tetravex.
> ii  gnome-gtali    1.0.51-6       Gnome version of Yahtzee Dice Game
> ii  gnome-gturing  1.0.51-6       Turing game
> ii  gnome-guile    1.0.1.cvs.1999 Guile-Gtk scheme interpreter (part of Gnome)
> ii  gnome-gv       0.82-2         GNOME PostScript/PDF viewer
> un  gnome-gyahtzee <none>         (no description available)
> ii  gnome-help     1.0.55-1       GNOME help browser
> ii  gnome-help-dat 1.0.55-1       GNOME help browser data
> ii  gnome-iagno    1.0.51-6       Gnome version of Othello (Reversi) board gam
> ii  gnome-libs-dat 1.0.56-3       Data for Gnome libraries
> ii  gnome-mahjongg 1.0.51-6       Classic Chinese Tile Game (from Gnome)
> ii  gnome-media    1.0.51-2       Gnome Media Utilities (gmix, gtcd)
> un  gnome-metatris <none>         (no description available)
> pn  gnome-napster  <none>         (no description available)
> ii  gnome-network  1.0.2-5        The gnome network utilities.
> ii  gnome-panel    1.0.55-1       Launch and/or dock Gnome applications
> ii  gnome-panel-da 1.0.55-1       Data files for GNOME panel
> ii  gnome-session  1.0.55-1       The Gnome Session Manager
> ii  gnome-stones   1.0.51-6       Stones games
> ii  gnome-terminal 1.0.55-1       The Gnome terminal emulator application
> ii  gnome-think    0.1.3-3        Hierarchical organizer and outliner
> ii  gnome-users-gu 1.0.6-1        GNOME User's Guide
> pn  gnome-users-gu <none>         (no description available)
> ii  gnome-utils    1.0.50-4       Gnome Utilities (gtt, ghex, and more)
> ii  gnome-xbill    1.0.51-6       Fight the infection.
> ii  gnomehack      1.0.5-1        A port of NetHack for GNOME
> ii  gnomeicu       0.90b-1        Small, fast and functional clone of Mirabili
> un  gtksamba-gnome <none>         (no description available)
> pn  icewm-gnome    <none>         (no description available)
> un  libglade-gnome <none>         (no description available)
> ii  libglade-gnome 0.11-2         Library to load .glade files at runtime (Gno
> pn  libglade-gnome <none>         (no description available)
> ii  libgnome-dev   1.0.56-3       The Gnome libraries -- development package
> pn  libgnome-gnorb <none>         (no description available)
> pn  libgnome-perl  <none>         (no description available)
> un  libgnome0      <none>         (no description available)
> un  libgnome31     <none>         (no description available)
> ii  libgnome32     1.0.56-3       The Gnome libraries
> pn  libgnomemm     <none>         (no description available)
> pn  libgnomemm-dev <none>         (no description available)
> ii  libgnomesuppor 1.0.56-3       The Gnome libraries (Support libraries)
> ii  libgnomeui32   1.0.56-3       The Gnome libraries (User Interface)
> pn  libobgnome-dev <none>         (no description available)
> ii  libobgnome0    1.0.40-2       Objective-C - Gnome bindings
> pn  penguineyes-gn <none>         (no description available)
> ii  python-gnome   1.0.50-5       PyGNOME -- Python bindings for GNOME.
> ii  sawmill-gnome  0.20.1-2.1     GNOME components for Sawmill
> iU  ssh-askpass-gn 1.2.3-2        under X, asks user for a passphrase for ssh-
> ii  task-gnome-app 1.0.3          GNOME applications and utilities
> ii  task-gnome-des 1.0.7          GNOME basic desktop
> ii  task-gnome-gam 1.0.5          GNOME games
> ii  task-gnome-net 1.0.4          GNOME network applications
> pn  wmaker-gnome   <none>         (no description available)
> ii  xchat-gnome    1.4.2-1        IRC client for GNOME similar to AmIRC
> pn  xkbsel-gnome   <none>         (no description available)
> 
> -- System Information
> Debian Release: 2.2
> Architecture: i386
> Kernel: Linux wheat 2.2.14 #1 Sun Apr 16 18:51:46 EST 2000 i586
> 
> 
> -- 
> To UNSUBSCRIBE, email to debian-devel-request@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
-- 

We gladly feast on those who would subdue us -- Addams Family motto


Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#62878; Package general. Full text and rfc822 format available.

Acknowledgement sent to "Sarel J. Botha" <sjbotha@email.com>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. Full text and rfc822 format available.

Message #15 received at 62878@bugs.debian.org (full text, mbox):

From: "Sarel J. Botha" <sjbotha@email.com>
To: Eric Weigel <ericw@bestnet.org>
Cc: ross <RossBoylan@stanfordalumni.org>, 62878@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#62878: Screen display problems with terminals
Date: Sun, 23 Apr 2000 11:17:47 +0200
On Sun, Apr 23, 2000 at 03:27:26AM -0400, Eric Weigel wrote:
> 
> I think it's the font.
> 

nope, it's not the font. It's the $TERM variable. I've battled with this
problem for quite a while and when Ross asked about it again now I just
went and sat down and figured it out. If TERM is set to linux then
everything is color, but you get the funny characters in mutt. If it is set
to xterm you get everything in black and white but the characters are
right. For some reason midnight commander is color and the characters are
right. If I set TERM to rxvt then everything's color and the characters are
right, but then half of the keys in vim are mucked up. BTW, I tested all of
this using Eterm. I tried gnome-terminal now and then and it pretty much
behaves the same way.

Unfortunately I have no solution. Can someone please help us?


-- 
------------------
Sarel Botha
sjbotha@email.com
------------------

99 little bugs in the code, 99 bugs in the code,
          fix one bug, compile it again...
          101 little bugs in the code....



Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#62878; Package general. Full text and rfc822 format available.

Acknowledgement sent to "Sarel J. Botha" <sjbotha@email.com>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. Full text and rfc822 format available.

Message #20 received at 62878@bugs.debian.org (full text, mbox):

From: "Sarel J. Botha" <sjbotha@email.com>
To: Eric Weigel <ericw@bestnet.org>
Cc: ross <RossBoylan@stanfordalumni.org>, 62878@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#62878: Screen display problems with terminals
Date: Sun, 23 Apr 2000 12:15:49 +0200
Okay, the font plays a role and lucide-typewriter isn't 100% ANSI. I found
a solution for the other problem though. If I set $TERM to xterm-debian, my
colors are right, my characters are right and my keys in vim work perfectly
fine.

With Eterm I set term_name in my default theme, but it doesn't look like
you can do the same with gnome-terminal, so what I suggest you do is to put
this in your .bashrc file:

if [ $DISPLAY ]; then
  export TERM=xterm-debian
fi

Thanks guys!
-- 
------------------
Sarel Botha
sjbotha@email.com
------------------

99 little bugs in the code, 99 bugs in the code,
          fix one bug, compile it again...
          101 little bugs in the code....



Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, general@packages.qa.debian.org:
Bug#62878; Package general. Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <allomber@math.u-bordeaux.fr>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org, general@packages.qa.debian.org. Full text and rfc822 format available.

Message #25 received at 62878@bugs.debian.org (full text, mbox):

From: Bill Allombert <allomber@math.u-bordeaux.fr>
To: 62878@bugs.debian.org
Cc: RossBoylan@stanfordalumni.org
Subject: Screen display problems with terminals.
Date: Thu, 3 Apr 2003 16:43:31 +0200
Hello,

It seems sthat changing the font have solved the problem
so we can close this bug report ?

Cheers,
-- 
Bill. <ballombe@debian.org>



Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#62878; Package general. Full text and rfc822 format available.

Acknowledgement sent to Ross Boylan <RossBoylan@stanfordalumni.org>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. Full text and rfc822 format available.

Message #30 received at 62878@bugs.debian.org (full text, mbox):

From: Ross Boylan <RossBoylan@stanfordalumni.org>
To: Bill Allombert <allomber@math.u-bordeaux.fr>
Cc: 62878@bugs.debian.org, RossBoylan@stanfordalumni.org
Subject: Re: Screen display problems with terminals.
Date: Sun, 29 Jun 2003 18:29:53 -0700
On Thu, Apr 03, 2003 at 04:43:31PM +0200, Bill Allombert wrote:
> Hello,
> 
> It seems sthat changing the font have solved the problem
> so we can close this bug report ?
> 
> Cheers,
I am very belatedly catching up with this question.  It doesn't seem
to me the bug should be closed.

It appears that things work for some combinations of terminal
programs, font selections, and TERM variable settings, but not others.

It seems to me it should work for all, or it should be better
documented why it doesn't.

I can't fully check this behavior because I am having other, more
serious font problems.  If I select Lucida-Typewriter font in my KDE
Konsole now, nothing at all shows up.  However, if I set the font to
medium in the Konsole settings, things work OK with TERM=xterm (the
default) but not TERM=linux.  Same for an xterm.

It *might* be appropriate to close this if the defaults for all
relevant packages put in sensible values and alternatives, so the
problem does not arise.  I'm not sure what all "relevant" packages
are, since some of this stuff might go in general start up files.



Message sent on to ross <RossBoylan@stanfordalumni.org>:
Bug#62878. Full text and rfc822 format available.

Message #33 received at 62878-submitter@bugs.debian.org (full text, mbox):

From: browaeys.alban@wanadoo.fr
To: 62878-submitter@bugs.debian.org
Subject: Re: Screen display problems with terminals.
Date: Thu, 24 Mar 2005 16:19:56 +0100
This is a followup for the bug you reported in 2000 and asked to
keep opened in 2003:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=62878

I wonder why nobody told it maybe doc where worst at those time.

linux -> kernel vga console (should not be used in X terminal)

xterm is the monochrome version and xterm-debian the color
version ( some terminal does not support colors).
Also at those times xterm and console programs used termcap, i
suspect that mc was using termios (a more featured terminal
capabilites definition scheme) and thus knowned that it can do
colors (TERM define the terminal capabilites it does not change the
underlying terminal capabilites, thus it can fake program in
thinking they run under a monochrome terminal even if the
terminal is color featured)

rxvt is not vt100 (220 i guess) so it is not a bug also that
telling program for example that they are on a vt220 when using
an xterm derivative (vt100) some keys does not works.


You could also try TERM=xterm in the console instead of "linux"
and you will have garbage.


And well if the font does not support all needed characters you
have garbage also ...


Some links 
http://vt100.net/


hurd console is "mach"
linux one is "linux"
xterm, eterm is xterm-*
konsole is konsole
and so on ...


I agree that a check of all terminals would be great but i have
not seen a buggy TERM settings for long (though i have not tried
all x11 terminals)
The main problems nowadays are utf8 (especially in linux console),locales 
(mainly how to set it easily for all programs ) and fonts/keymaps (again
 especially in the console). There are already bugs against the kernel and
 a few remaining packages not supporting utf8 (zsh). The fonts
are up to user choice but the default (bitstream vera for X) is
full featured.

All in all i would say terminals/console are stable. There is
only the need for easier/more powerfull configuration tools (m17n
and scim/uim seems to fill this quite well)



Could i close the bug ?

Alban





Message sent on to ross <RossBoylan@stanfordalumni.org>:
Bug#62878. Full text and rfc822 format available.

Message #36 received at 62878-submitter@bugs.debian.org (full text, mbox):

From: Alban browaeys <browaeys.alban@wanadoo.fr>
To: 62878-submitter@bugs.debian.org
Subject: Re: Screen display problems with terminals.
Date: Tue, 29 Mar 2005 02:04:01 +0200
NB: this mail should have been sent before (25 jan) the previous one,
 sorry i will not rewrite it :)
It provide more in depth on console and virtual terminals.

This is another followup for bug :
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=62878




An hint about this problem, terminal definitions (vt100, xterm, linux,
...) are defined by termcap (obsolete) and terminfo (new database).

man termcap:
"The  termcap  database is an obsolete facility for describing the capa-
bilities of character-cell terminals and printers.  It is retained only
for  capability  with old programs; new ones should use the terminfo(5)
database and associated libraries.

/etc/termcap is an ASCII file (the  database  master)  that  lists  the
capabilities  of  many different types of terminals.  Programs can read
termcap to find the particular  escape  codes  needed  to  control  the
visual  attributes  of the terminal actually in use.  (Other aspects of
the terminal are handled by stty.)  The termcap database is indexed  on
the TERM environment variable."

man terminfo:
"Terminfo  is  a data base describing terminals, used by screen-oriented
programs   such   as   nvi(1),   rogue(1)   and   libraries   such   as
ncurses(3NCURSES).   Terminfo  describes  terminals  by giving a set of
capabilities which they have, by specifying how to perform screen oper-
ations,  and  by  specifying  padding  requirements  and initialization
sequences."

a more generic document ( include BSD ):
www.cs.utk.edu/~shuford/terminal/unix_terminal_news.txt
in short for debian its use TERm to set term capability (escape keys,
backward delete) and LANG to choose the character set . 
It also describe how to check what current terminal use, that could be
usefull in debian docs to help track wrong mix of settings.
tic (compile terminfo files), infocmp to show the terminfo contents or
decompile, stty (terminal capabilities), od (check terminal keys binding,
like xev), ...

or www.tldp.org/HOWTO/Text-Terminal-HOWTO.html .




If opening an xterm derivative does not set the TERM env properly a bug
should be filed against it. It may use the wrong terminfo data.
NB: its not that easy as some terminal use a different terminfo
depending on their version and the architecture :
xterm can be xterm-256color, xterm depending on the compile option of
xterm.
debian is xterm or xterm-debian or xterm-24 (they are clones) and 
follow vt220.
Also you should check that you have not defined TERM in /etc/profile or
.bash*.
Setting TERM=xterm-debian in .bashrc is evil ! For example let s guess
that debian xterm is 24 color and vt220 emulation, what happens is your
xterm like (rxvt, konsole ...) is 256 colors and vt320 compatible ? or
just support vt100 ...
Worst is using "linux" this describe the linux console ( the one from
the kernel, afaik the vga console driver). At best as its one of the
less capable driver it may work with most other terminal emulator, but
some feature will be missing and advanced extension may induce garbage.
I would strongly suggest to check the package providing the terminfo file
(/usr/share/terminfo/l/linux is provided by ncurses-base) and bug
against it. xterm, linux have no bug left as far as i know but fbiterm
and xiterm iterm info file is far from perfect (no backspace, nor home
key ...). 


This bug should be cloned for each wrong behaving terminal (terminfo,
termcap definition) or those that does not properly set their
environment ($TERM).

The respective maintainers could help fix some easely, but i don't
expect every font/term/console application combination to work (some
applications requires too much colors for some terminals or kays that
are not defined in the standard definition of this terminal, vt100 might
be one).

Maybe libncurses and such should recommand a complete font set (vera ?)
and set default font Xressource appropriately for xterm's derivatives.

The console configuration is already managed by console-common, though
the screen init script has still a few bugs if using a framebuffer its
pretty full features and have sane defaults. Some ideas could be begged
from it for xterm configuration .


Cheers
Alban

terminfo definitions are in :
/etc/terminfo
/usr/share/terminfo
most are provided by ncurses-base.







Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 09 Sep 2008 07:31:24 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 01:16:38 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.